#! /bin/bash

#set -ex

myPath=$(dirname -- $(readlink -fn -- "$0"))

if [ $# -ne 2 ] 
then
echo usage: createTar.sh FECName ClassnameDU
echo 
exit 1
fi

echo creating FESA try for device unit $2 at FEC $1
# Clean (not yet implemented)
echo 
echo WARNING: 
echo Cleaning fesa folder using rm -rf. 
echo You have 5 seconds to cancel via CTRL+C
sleep 5
echo cleaning ...
rm -rf fesa


# creating tree
echo creating tree
mkdir fesa
cd fesa
mkdir local
cd local
mkdir $1
cp -a /common/usr/export/fesa/local/$1 .
cd ..
mkdir data
cd data
cp -a /common/usr/export/fesa/data/$1 .
cd ..
mkdir arch
cd arch
mkdir i686
cd i686
mkdir eqp_software
cd eqp_software
cp -a /common/usr/export/fesa/arch/i686/eqp_software/$2 .

#creating tar file
echo creating tar file $1.tar
cd $myPath
tar -v -cf $1.tar fesa

#done
echo done


